### Method

# WebKit WebView set_custom_charset

#### Declaration [src]

    void
    webkit_web_view_set_custom_charset (
      WebKitWebView* web_view,
      const gchar* charset
    )

#### Description [src]

Sets the current custom character encoding override of `web_view`.

The custom character encoding will override any text encoding detected via HTTP headers or META tags. Calling this method will stop any current load operation and reload the current page. Setting the custom character encoding to `NULL` removes the character encoding override.

#### Parameters

`charset`

  Type: `const gchar*`

  A character encoding name or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.